SystemOrganization addCategory: #'OB-Squeak-Platform'!

!BasicClassOrganizer methodsFor: '*ob-squeak-platform' stamp: 'cwp 2/21/2012 22:35'!
hasComment
	^ classComment notNil! !

!ClassDescription methodsFor: '*ob-squeak-platform' stamp: 'cwp 12/3/2011 23:53'!
copyInstVarNamesFrom: oldMetaclass
	oldMetaclass instVarNames do: [ :each | self addInstVarName: each ]! !

OBPlatform subclass: #OBSqueakPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OB-Squeak-Platform'!

!OBSqueakPlatform class methodsFor: 'as yet unclassified' stamp: 'cwp 11/3/2011 12:07'!
initialize
	OBPlatform current: self new! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/8/2011 14:57'!
annotationRequests
	^ Preferences defaultAnnotationRequests! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/4/2011 15:38'!
buttonHeight
	^ Preferences standardButtonFont height + 12! !

!OBSqueakPlatform methodsFor: 'accessing' stamp: 'cwp 1/2/2012 12:25'!
changeStamp
	^ Utilities changeStamp! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/13/2011 09:26'!
fieldHeight
	| font |
	font := Preferences standardSystemFont.
	^ font height + 8! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/4/2011 22:02'!
menuWithIcons
	^ Preferences menuWithIcons! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/3/2011 12:11'!
optionalButtons
	^ Preferences optionalButtons! !

!OBSqueakPlatform methodsFor: 'preferences' stamp: 'cwp 11/22/2011 21:05'!
showAnnotationPane
	^ Preferences annotationPanes! !
OBSqueakPlatform initialize!
